List Organization's Service Versions
curl --request GET \
--url https://api.bland.ai/v1/orgs/{org_id}/versions/{service}/list \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/orgs/{org_id}/versions/{service}/list"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/orgs/{org_id}/versions/{service}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"versions": [
{
"created_at": "2024-11-28T19:05:17.003Z",
"git_sha": "",
"friendly_name": "Latest",
"tags": ["latest"],
"currently_supported": true,
"recommended_upgrade_to": null,
"service": "api_server",
"id": "adf1064d-5080-4055-8493-0d4fdc3c8106",
"placement_group": "blandshared"
},
{
"created_at": "2024-11-27T00:28:30.286Z",
"git_sha": "",
"friendly_name": "v1.0.1",
"tags": ["stable"],
"currently_supported": true,
"recommended_upgrade_to": null,
"service": "api_server",
"id": "a46f516b-b01f-4ea6-9c7b-5b05fca49d4f",
"placement_group": "blandshared"
}
]
},
"errors": null
}
Organizations
List Organization's Service Versions
Retrieve a list of available versions for a specified service within an organization.
GET
/
v1
/
orgs
/
{org_id}
/
versions
/
{service}
/
list
List Organization's Service Versions
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The unique identifier of the organization.
string
required
The name of the service whose versions you want to retrieve.
Valid values:
Valid values:
"api_server", "ws_server"Response
object
Contains the list of available versions for the requested service.
array
An array of available versions.
string
The unique identifier of the version.
string
A human-readable name for the version.
string (ISO 8601)
The timestamp when the version was created.
string
The Git SHA hash of the version.
array
Tags categorizing the version, e.g.,
["latest"], ["stable"].boolean
Whether this version is currently supported.
string | null
The recommended version to upgrade to, if applicable.
string
The name of the service this version belongs to.
string
The placement group of this version.
null
Always
null on success.{
"data": {
"versions": [
{
"created_at": "2024-11-28T19:05:17.003Z",
"git_sha": "",
"friendly_name": "Latest",
"tags": ["latest"],
"currently_supported": true,
"recommended_upgrade_to": null,
"service": "api_server",
"id": "adf1064d-5080-4055-8493-0d4fdc3c8106",
"placement_group": "blandshared"
},
{
"created_at": "2024-11-27T00:28:30.286Z",
"git_sha": "",
"friendly_name": "v1.0.1",
"tags": ["stable"],
"currently_supported": true,
"recommended_upgrade_to": null,
"service": "api_server",
"id": "a46f516b-b01f-4ea6-9c7b-5b05fca49d4f",
"placement_group": "blandshared"
}
]
},
"errors": null
}
Docs for agents: llms.txt
Was this page helpful?